# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::PlyLoader::PlyElement Class Reference

Used by PlyLoader. More...

`#include <vlPLY.hpp>`

Inheritance diagram for vl::PlyLoader::PlyElement:

List of all members.

## Public Member Functions

| PlyElement ()
const String & | name () const
void | setName (const String &name)
const std::vector< ref < PlyPropertyAbstract > > & | properties () const
std::vector< ref < PlyPropertyAbstract > > & | properties ()
int | elemCount () const
void | setElemCount (int count)
virtual void | read (VirtualFile *file, bool le)
virtual void | read (TextStream *text)
fvec3 | getVertex () const
fvec3 | getNormal () const
ubvec4 | getColor () const
void | analyze ()

## Protected Attributes

std::vector< ref < PlyPropertyAbstract > > | mProperties
std::vector< ref< PlyScalar > > | mVertex
std::vector< ref< PlyScalar > > | mNormal
std::vector< ref< PlyScalar > > | mColor
String | mName
int | mElemCount

## Detailed Description

Used by PlyLoader.

## Constructor & Destructor Documentation

vl::PlyLoader::PlyElement::PlyElement | ( |  | ) | `[inline]`

## Member Function Documentation

const String& vl::PlyLoader::PlyElement::name | ( |  | ) | const`[inline]`

Reimplemented from vl::Object.

void vl::PlyLoader::PlyElement::setName | ( | const String & | name | ) | `[inline]`

const std::vector< ref<PlyPropertyAbstract> >& vl::PlyLoader::PlyElement::properties | ( |  | ) | const`[inline]`

std::vector< ref<PlyPropertyAbstract> >& vl::PlyLoader::PlyElement::properties | ( |  | ) | `[inline]`

int vl::PlyLoader::PlyElement::elemCount | ( |  | ) | const`[inline]`

void vl::PlyLoader::PlyElement::setElemCount | ( | int | count | ) | `[inline]`

virtual void vl::PlyLoader::PlyElement::read | ( | VirtualFile * | file,
|  | bool | le |
| ) |  |  | `[inline, virtual]`

virtual void vl::PlyLoader::PlyElement::read | ( | TextStream * | text | ) | `[inline, virtual]`

fvec3 vl::PlyLoader::PlyElement::getVertex | ( |  | ) | const`[inline]`

fvec3 vl::PlyLoader::PlyElement::getNormal | ( |  | ) | const`[inline]`

ubvec4 vl::PlyLoader::PlyElement::getColor | ( |  | ) | const`[inline]`

void PlyLoader::PlyElement::analyze | ( |  | ) |

## Member Data Documentation

std::vector< ref<PlyPropertyAbstract> > vl::PlyLoader::PlyElement::mProperties`[protected]`

std::vector< ref<PlyScalar> > vl::PlyLoader::PlyElement::mVertex`[protected]`

std::vector< ref<PlyScalar> > vl::PlyLoader::PlyElement::mNormal`[protected]`

std::vector< ref<PlyScalar> > vl::PlyLoader::PlyElement::mColor`[protected]`

String vl::PlyLoader::PlyElement::mName`[protected]`

Reimplemented from vl::Object.

int vl::PlyLoader::PlyElement::mElemCount`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vlPLY.cpp

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:47 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.